package othello;

import java.lang.reflect.InvocationTargetException;
import javax.swing.JFrame;
import javax.swing.SwingUtilities;
import javax.swing.WindowConstants;

import othello.model.* ;
import othello.view.* ;
/**
 * <p>Title: Othello</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: Memorial University</p>
 * @author Theodore Norvell
 * @version 1.0
 */

public class TestMain0 implements GameConstants {
    
    public static void main(String[] args) {
    	
        GameModel gameModel = new GameModel() ;
        final Animator animator = new Animator( gameModel ) ;
    	try {
			SwingUtilities.invokeAndWait( new Runnable() {

				@Override
				public void run() {
			        BoardView basicView = new BoardView( animator ) ;
			        
			        JFrame frame = new JFrame() ;
			        frame.setDefaultCloseOperation( WindowConstants.EXIT_ON_CLOSE ) ;
			        frame.add( basicView ) ;
			        frame.setSize(500, 500);
			        frame.setVisible( true ); }} ) ;
		} catch (InvocationTargetException e1) {
			e1.printStackTrace();
			System.exit(1) ;
		} catch (InterruptedException e1) {
			e1.printStackTrace();
			System.exit(1) ; }
    	
        
        gameModel.layPiece(4,4,WHITE);    
        gameModel.layPiece(4,5,BLACK);
        gameModel.layPiece(5,5,WHITE);
        gameModel.layPiece(5,4,BLACK);
        
        gameModel.layPiece(3,4, BLACK);
        gameModel.flipPiece(4,4);

        gameModel.layPiece(3,3, WHITE);
        gameModel.flipPiece(4,4);

        gameModel.layPiece(4,3, BLACK);
        gameModel.flipPiece(4,4);
        
        gameModel.layPiece(5,3, WHITE);
        gameModel.flipPiece(4,3);
        gameModel.flipPiece(5,4);
    }
}